﻿global using System;
global using System.Linq;
global using System.Text;
global using System.Threading;
global using System.Threading.Tasks;
global using System.Net;
global using System.Net.Mime;
global using System.Net.Http;
global using System.Net.Http.Json;
global using System.Net.Http.Headers;

global using Microsoft.Extensions.Configuration;
global using Microsoft.Extensions.Configuration.Memory;
global using Microsoft.Extensions.Configuration.CommandLine;
global using Microsoft.Extensions.Configuration.EnvironmentVariables;
global using Microsoft.Extensions.Configuration.UserSecrets;
global using Microsoft.Extensions.Configuration.KeyPerFile;
global using Microsoft.Extensions.Configuration.Ini;
global using Microsoft.Extensions.Configuration.Json;
global using Microsoft.Extensions.Configuration.Xml;
global using Microsoft.Extensions.Options;
global using Microsoft.Extensions.DependencyInjection;
global using Microsoft.Extensions.DependencyInjection.Extensions;

global using Microsoft.Net.Http;
global using Microsoft.Net.Http.Headers;
global using Microsoft.Extensions.Http;
global using Microsoft.Extensions.Http.Logging;

global using Polly;
global using Polly.NoOp;
global using Polly.Retry;
global using Polly.Bulkhead;
global using Polly.Fallback;
global using Polly.Hedging;
global using Polly.RateLimit;
global using Polly.Caching;
global using Polly.Timeout;
global using Polly.CircuitBreaker;
global using Polly.Wrap;
global using Polly.Registry;
global using Polly.Utilities;
global using Polly.Telemetry;
global using Polly.Extensions;
global using Polly.Extensions.Http;

global using HttpClientStudy.Config;
global using HttpClientStudy.Model;

global using HttpClientStudy.Core;
global using HttpClientStudy.Core.UseJson;
global using HttpClientStudy.Core.HttpRequests;
global using HttpClientStudy.Core.HttpResponses;