﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HttpClientStudy.Core.HttpRequests
{
    /// <summary>
    ///  Http 请求参数
    ///  <list type="number">
    ///   <item>
    ///    <term>Url 参数</term>
    ///    <description>参数拼接在请求的Url中</description>
    ///   </item>
    ///   <item>
    ///    <term>路由参数</term>
    ///    <description>参数在请求路由中</description>
    ///   </item>
    ///   <item>
    ///    <term>请求头参数</term>
    ///    <description>参数在请求头中</description>
    ///   </item>
    ///   <item>
    ///    <term>请求体参数</term>
    ///    <description>参数在请求体中</description>
    ///   </item>
    ///  </list>
    /// </summary>
    /// <remarks>
    ///  请求体参数,<br/> 放入单独类 <see cref="HttpRequestContents"/>   
    /// </remarks>
    public class HttpRequestParameters
    {
        
    }
}
